// Enterprise NCC 1701D
// Version 1.0
// Jrgen Hochwald
// home:www.cfjh.de
// email:jh@cfjh.de

#include "csgncc.dta"

#declare DunkelGrau = texture {
  pigment {color red 0.2 green 0.2 blue 0.2}
}
#declare HellGrau = texture {
  pigment {color red 0.5 green 0.5 blue 0.5}
  finish {
     phong 0.1
     phong_size 5
  }
}

#declare Gruen = texture {
  pigment {color red 0 green 0.6 blue 0.6}
}

#declare HellGruen = texture {
  pigment {color red 0.5 green 1.0 blue 0.3}
}

#declare l_on = texture {   // helles Fenster
  pigment {color red 0.6 green 0.6 blue 0.6}
  finish { ambient 0.5 diffuse 0.6}
}

#declare l_off = texture {  // dunkles Fenster
  pigment {color red 0 green 0 blue 0}
  //finish { ambient 0.2 diffuse 0.8}
}

#declare l_red = texture {
  pigment {color red 1 green 0 blue 0}
}

#declare PosLightCol =  // Farbe fr Positionslichter (Lightsource)
color rgb <0.2, 0.2, 0.1>;

#declare PosTexCol =  // Farbe fr Positionslichter (Texture)
color rgb <1.0, 1.0, 0.5>;

#declare PosLightTex =  // Textur fr Positionslichter
texture {
   pigment { color PosTexCol }
}

#declare PosLight =        // ein einzelnes Positionslicht
light_source {
   <0,0,0> color PosLightCol
   looks_like {
      object {
         sphere { <0,0,0> 0.1 }
         texture { PosLightTex }
      }
   }
}

#include "fenster.inc"
#include "teller.inc"
#include "verbindung.inc"
#include "rumpf.inc"

/*#declare torus15_75 = quartic { <
// Torus mit Radius r0 =    15.0000 und r1 =    10.0000
         1.0000,        0.0000,        0.0000,        0.0000,        2.0000,        0.0000,        0.0000,
         2.0000,        0.0000,     -650.0000,        0.0000,        0.0000,        0.0000,        0.0000,
         0.0000,        0.0000,        0.0000,        0.0000,        0.0000,        0.0000,        1.0000,
         0.0000,        0.0000,        2.0000,        0.0000,      250.0000,        0.0000,        0.0000,
         0.0000,        0.0000,        1.0000,        0.0000,     -650.0000,        0.0000,    15625.0000
> }
*/

#declare Antrieb_Huelle1 =
// bergang Antrieb -> Flgel
intersection {
  //intersection { Disk_Z scale <41,3.1,2> }
  object { Cylinder_Z scale <40,3,2.2> }
  // object { Cylinder_Z scale <40,2.65,2.65> scale 1.1 }
  union {
    object { Cylinder_Y }
    box { <0,-5,-1><3,3,1> }
    intersection {
      object { Cylinder_Y }
      plane { <-1,0,0> 0}
      scale <5,1,1>
      translate <3,0,0>
    }
  }
  plane { <0,1,0> 0-2 }
  translate <-1.3,0,0>
  scale <3,1,2>
}

#declare Antrieb_Spitze_Rot =
object {
  intersection {
    object {
      Ellipsoid
      scale <5,3,4.25>
    }
    // box { <0,-1.75,-10><10,1.75,10> }
    box { < -1,-1.75,-10><50,1.75,10> }
    translate <2,0,0>
  }
  texture {
     pigment { color Red }
     finish { ambient 0.2 diffuse 0.5 }
  }
}

#declare Antrieb_Spitze_Grau =
object {
  intersection {
    union {
      object { Ellipsoid scale <15,2.5,2.5> translate <0,0,2>}
      object { Ellipsoid scale <15,2.5,2.5> translate <0,0,-2>}
      object { Disk_Z scale <15,2.5,2> }
      translate <-5,0,0>
    }
    // plane {<1,0,0> 25}   // Begrenzung vorne
    plane {<-1,0,0> 0}  //      "     hinten
    union {
      object { Cylinder_Z  translate <0, 0.75,0> }
      object { Cylinder_Z  translate <0,-0.75,0> }
      box { <-1,-0.75,-10><50,0.75,10> }
      box { < 0,-1.75,-10><50,1.75,10> }
      translate <2,0,0>
      inverse
    }
  }
  texture { HellGrau }
}

#declare Antrieb_Spitze =
union {
  object { Antrieb_Spitze_Grau }
  object { Antrieb_Spitze_Rot }
//  bounded_by { sphere { <3,0,0> 6} }
  scale <0.9,0.9,0.9>
  translate <28,0,0>
}


#declare Ein_Puffer = union {
// ein einzelnes Antriebspuffersegment
  object { Ellipsoid scale <0.5,2,2> translate <0,0,-2> }
  object { Ellipsoid scale <0.5,2,2> translate <0,0 ,2> }
  object { Disk_Z scale <0.5,2,2> }
}

#declare Antrieb_Puffer =
object {
// Puffer zwischen Antriebshinterteil und Vorderteil, Breite 3
  union {
    object { Ein_Puffer }
    object { Ein_Puffer translate <0.5,0,0> }
    object { Ein_Puffer translate <1.0,0,0> }
    object { Ein_Puffer translate <1.5,0,0> }
    object { Ein_Puffer translate <2.0,0,0> }
    object { Ein_Puffer translate <2.5,0,0> }
    object { Ein_Puffer translate <3.0,0,0> }
    scale <1,0.85,0.85 >
    translate <25,0,0>
  }
//  bounded_by { sphere { <26.5,0,0> 4} }
  //bounded_by { sphere { <26.5,0,0> 4} }
  texture { DunkelGrau }
  //rotate <0,90,0>
}

#declare Antrieb_Licht1 =
// leuchtender Teil des Antriebes
object {
  union {
    sphere { <-10,0,-2>  2 }
    sphere { <-10,0, 2>  2 }
    object { Disk_Z scale <2,2,2> translate <-10,0,0> }
    intersection {
      union {
        object { Cylinder_X scale <2,2,2> translate <0,0, 2> }
        object { Cylinder_X scale <2,2,2> translate <0,0,-2> }
      }
      plane { <-1,0,0> 10 }
      plane { < 1,0,0> 24.6 }
    }
    //light_source { <7.5,0,0> color red 0.0 green 0.0 blue 0.5 }
  }
//  bounded_by { sphere { <6.25,0,0> 20 } }
  texture {
    pigment {
//      color Blue
      gradient y
      colour_map {
        [0.25    color rgb <0.0,0.0,1.0> ]
        [0.75    color rgb <0.5,0.5,1.0> ]
      }
      quick_color Blue
      scale 0.1
      translate <0,10,0>
    }
    finish {
       ambient 0.5
       diffuse 0.6
    }
  }
}

#declare Antrieb_Licht =
light_source { <0,0,0> color rgb <0,0,0.25>
   looks_like { Antrieb_Licht1 }
}

#declare Antrieb_Huelle =
// Antriebshlle
object {
  union {
    intersection {
      union {
         intersection {
          union {              // lnglicher Teil
            object { Ellipsoid scale <40,2.65,2.65> translate <0,0,2>}
            object { Ellipsoid scale <40,2.65,2.65> translate <0,0,-2>}
            object { Disk_Z scale <40,2.65,2> }
            object {UnitBox scale <0.5,0.3,0.25> translate <-7,2.65,-0.7> } // Prppel
            object {UnitBox scale <0.5,0.3,0.25> translate <-7,2.65, 0.7> } // am Ende
          }
          plane {<1,0,0> 25}   // Begrenzung vorne
          plane {<-1,0,0> 10}  //      "     hinten
        }
          // Rundung hinten
        object { Ellipsoid scale <2.57,2.57,2.57> translate <-10,0,-2> }
        object { Ellipsoid scale <2.57,2.57,2.57> translate <-10,0, 2> }
        object { Disk_Z scale <2.57,2.57, 2> translate <-10,0, 0> }
      }
      box { <-50,-0.5,-50><24.5,0.5,50> inverse }  // waagerechte Teilung
      intersection {   // vordere Aufweitung der ffnung
        object {
          Cylinder_Z
        }
        plane { <1,0,0> 0}
        scale <4,1.5,1.5>
        translate <24.5,0,0>
        inverse
      }
    }
    object { Antrieb_Huelle1 }
  }
  //bounded_by { sphere { <6.25,0,0> 20 } }
//  bounded_by { box { <-13,-4,-5>< 26,4,5> } }
  texture { HellGrau }
}


#declare Runde_Ecke = union {
// rechter Winkel mit Radius 1 , senkrecht
  object { Cylinder_Y }
  box { <-1,-2,-50><50,1,0> }
  box { < 0,-2,-50><50,1,1> }
  translate <1,0,-1>
}

#declare Stumpfe_Ecke = union {
// 45 Winkel mit Radius 1, in Z-Richtung
  object { Cylinder_Z }
  box { <-1,-50,-50><50,0,50> }
  box { < 0,-50,-50><50,1,50> rotate <0,0,45> }
  // translate <1,0,-1>
}

#declare Fluegel_Keil =
// bergang Flgel -> Antrieb
intersection {
  plane { <0, 1,0> 2 }    // oben
  plane { <0,-1,0> 0 rotate <0,0, 6> }    // unten
  plane { <-1,0,0> 0 rotate <0,0,30> }    // links
  plane { <0,0,-1> 0 rotate <-30,-3,0> translate <0,0,-0.5> }  // vorne
  plane { <0,0, 1> 0 rotate < 30, 3,0> translate <0,0, 0.5> }  // hinten
}

#declare Fluegel_Senkrecht =
object {
/* Rundung an den Flgeln; Ausgangsobjekt ist ein Rohr ( Wanddicke 0.65),
   das entsprechend geschnitten wird */
  union {
    intersection {
      union {
        intersection {    // innere Rohrbegrenzung
          object {
            Cylinder_X
            scale <5,5,5>
            inverse
          }
          object {      // uere Rohrberenzung
            Cylinder_X
            scale <5.65,5.65,5.65>
          }
          plane { <0,0,-1> 0}    // vordere Hlfte abschneiden
          plane { <0,1, 0> 0}    // obere Hlfte abschneiden
        }
        box { <-50,-0.01,5><50,5,5.65> }    // senkrechte Verbindung
        union {
          object { Disk_X scale <4,0.3,0.3> }
          object { Ellipsoid scale <0.3,0.3,0.3> translate <-4,0,0> }
          object { Ellipsoid scale <0.3,0.3,0.3> translate < 4,0,0> }
          translate <6.25,-5.65,0>
          rotate <-30,0,0>
        }
      }
      object {              // hintere Schrge nach vorne/oben
        Stumpfe_Ecke
        translate <1.25,-1,0>
        scale <5,5,5>
      }
      union {            // hintere Schrge nach innen/vorne
        object { Cylinder_Y }
        box { <-1,-50,0><50,50,50> }
        box { < 0,-50,-1><50,50,50> rotate <0,45,0>}
        translate <1.333333,0,1>
        scale <2,2,4>
      }
      intersection {
        object {             // vordere Schrge nach vorne/oben
          Stumpfe_Ecke
          translate <3.25,-1,0>
          scale <5,5,5>
        }
        union {            // vordere Schrage nach innen/vorne
          object { Cylinder_Y }
          box { <-1,-50,0><50,50,50> }
          box { < 0,-50,-1><50,50,50> rotate <0,45,0>}
          translate <1.333333,0,1>
          translate <5.3,-1,0>
          scale <2,2,4>
        }
        plane { <0,1,0> 0
          rotate <0,0,10>
          translate <0,1,0>
        }
        inverse
      }
      translate <-10.5,5,0>
    }
    object {
      object { Fluegel_Keil }
      translate <-1.5,9,5>
    }
    /*object {
      Disk_X
      scale <4,0.5,0.5>
      translate <-4,-0.65,0>
    }*/
  }
  texture { HellGrau }
}

#declare Fluegel_Waagerecht =
object {
  difference {   // waagerechter Flgelteil
    box { <-25,-0.65,-17.5><12,0,17.5> }
    object {           // hintere Ecke ausschneiden
      Runde_Ecke
      scale <3,3,3>
      rotate <0,135,0>
      scale <1,1,2>
    }
    object {           // vordere Kante schneiden
      Runde_Ecke
      scale <3,3,3>
      rotate <0,40,0>
      translate <10,0,-7.99>
    }
    object {           // hintere Kante schneiden
      Runde_Ecke
      scale <3,3,3>
      rotate <0,-130,0>
      translate <10,0,7.99>
    }
  }
  texture { HellGrau }
}

#declare Antrieb =
union {
  object { Antrieb_Huelle }
  object { Antrieb_Licht }
  object { Antrieb_Puffer }
  object { Antrieb_Spitze }
  object { PosLight translate <-9,2.6,0> }  // Positionslicht am hineren Ende
//  bounded_by { box { <-13,-4,-5>< 35,4,5> } } // des Antriebes
}

#declare Fluegel =
union {
  object { Fluegel_Waagerecht }   // waagerechter Teil
  object {                        // Trger links
    Fluegel_Senkrecht
    translate <0,0,17.5>
  }
  object {                        // Trger rechts
    Fluegel_Senkrecht
    translate <0,0,17.5>
    scale <1,1,-1>
  }
//  bounded_by { box { <-10,-1,-25>< 18,13,25> } }
}


#declare csgncc =
union {
  object { Tellersektion }
  object { Verbindung }
  object { Verbindung_Fenster }
  object { Rumpf }
  object { Rumpf_Fenster_oben }
  object { Rumpf_Fenster_unten }
  object { Rumpf_Fenster_Kante }
  object { ImpAntrieb }
  object { Fluegel translate <-33,0,0> }            // Antriebstrger
  object { Antrieb translate <-33,13.5, 22.825> }   // linker Antrieb
  object { Antrieb translate <-33,13.5,-22.825> }   // rechter Antrieb

//
//object { Antrieb translate <-10, 0,0> }
//  bounded_by { box { <-46,-9.5,-39><63,27,39> } }

//translate <30,-30,0>
}


