#declare apos = 1;      // Position der vorderen Anschr"agung x-Richrung
#declare ascl = 0.8;    // Gr"osse der "Offnung
#declare apos1 = -0.3;  // Position der "Offnung y-Richtung

#declare Schnittebene_vorne =
object {
   union {
      plane { <1,0,0> 0 }
      difference {                            // 1. Stufe mit Innenwlbung
         box { <-0.0001,0,-100><1,100,100> }    // Tiefe 2.0
         cylinder { <2,0,-100><2,0,100> 2 }
      }
      cylinder { <0,3.46,-100><0,3.46,100> 2 } // Auenwlbung
      box { <0.9999,3.46,-100><2,100,100> }
   }
   translate <0,-1.73,0>
   scale <0.2,0.5,1>
   rotate <0,0,-30> translate <6+apos,0.6,0>
   translate <0,-0.5+apos1,0>
}

#declare Rumpf1 = union {
// Rumpf-Grundform
  intersection {
    object {             // vordere Hlfte
      Ellipsoid
      scale <10,10,15>
      translate <0,-3,0>
    }
    plane { <0,-1,0> 0 }  // Begrenzung unten
    plane { <-1,0,0> 0 }  // Begr. nach hinten
  }
  intersection {          // hintere Hlfte
    object {
      Ellipsoid
      scale <30,10,15>
      translate <0,-3,0>
    }
    plane { <0,-1,0> 0 }  // Begrenzung unten
    plane { < 1,0,0> 0 }  // Begrenzung nach vorne
  }
}

#declare Rumpf_Oberteil = object {  // Rumpf Oberteil
  Rumpf1
  scale <1,0.8,1>
}

#declare Rumpf_Unterteil = object {  // Rumpf Unterteil
  Rumpf1
  scale <1,-0.5,1>         // auf den Kopf drehen
  translate <0,-0.5,0>
}


#declare Rumpf_Rueckenlinie =   // Rumpf, Linie auf Oberseite
intersection {
  box { <-35,-5,-1><0,20,1> }
  object { Rumpf_Oberteil }
  scale <1.05,1.1,1>
}

#declare Rumpf_Untere_Querlinie =
// Linie an der Unterseite
object {
  intersection {
    union {
       box {<-3,-5,-11><-2,0,11> }
       cylinder { <-2.5,-5,-11><-2.5,0,-11> 0.5 }   // Rundung vorne
       cylinder { <-2.5,-5, 11><-2.5,0, 11> 0.5 }   // Rundung hinten
    }
    object {
      Ellipsoid
      scale <30,10.001,15>
      translate <0,-3,0>
      scale <1,-0.5,1>         // auf den Kopf drehen
      translate <0,-0.5,0>
    }
  }
  scale <1,1.3,1>    // Hhe anpassen
  texture { Gruen }
}


#declare Rumpf_Mittelteil = union {
/* Mittleres, gerades Stck im Rumpf. Dicke nach allen Skalierungen 0.65 */
  intersection {           // vorderer Teil
    union {
       object { Cylinder_Y
         scale <14.32,14.32,14.32>
       }
       intersection {
          union {   // grne Felder am vorderen Rumpf
             box { <-0.5,-0.5,-15><0.5,0.5,-13> rotate <0,-30,0> }
             box { <-0.5,-0.5, 13><0.5,0.5, 15> rotate <0, 30,0> }
          }
          object { Cylinder_Y scale 14.33 }
          texture { HellGruen }
       }
       scale <0.666667,1,1>
    }
    plane { <0,1,0> 0 }    // oben
    plane { <0,-1,0> 0.5 } // unten
    plane { <-1,0,0> 0 }   // hinten
  }
  intersection {           // Hinterteil
    object { Cylinder_Y
      scale <14.32,14.32,14.32>
    }
    plane { <0,1,0> 0 }    // oben
    plane { <0,-1,0> 0.5 } // unten
    plane { <1,0,0> 0 }    // vorne
    scale <2,1,1>
  }
}


#declare Rumpf_Huelle =
object {
  difference {
    intersection {
      union {
        object { Rumpf_Oberteil }
        object { Rumpf_Rueckenlinie }
        object { Rumpf_Mittelteil }
        difference {
          object { Rumpf_Unterteil }
          union {
            object { Cylinder_Z }     // Schrge hinten
            box { <-5,-1,-5> <0,1,5> }
            translate <0,-1.1,0>
            scale <5,5,5>
            translate <-18,0,0>
          }
          intersection {
            object {                    // Hohlraum hinten
              Ellipsoid
              scale <27,4.5,13.5>
              translate <0,1,0>
            }
            plane { <1,0,0> 0 }
          }
        }
        object { PosLight translate <0,-4.01, 0> } // Positionslicht unterm Rumpf
      }
      //plane { <1,0,0> 0              // Gesamten Rumpf vorne abschrgen
      //   rotate <0,0,-30>
      //   translate <6+apos,0,0>
      //}
      object { Schnittebene_vorne /*translate <0,-0.5+apos1,0>*/ }
    } // inters.
    object {          // Ansaugffnung vorne
      Ellipsoid
      texture {
        pigment {
         wood
          colour_map {
            [0.0 0.2   color red 0.8 green 0.1 blue 0.1   // innen Rot
                       color red 0.8 green 0.1 blue 0.1]
            [0.2 0.4   color red 0.5 green 0.6 blue 1.0   // blauer Ring
                       color red 0.5 green 0.6 blue 1.0]
            [0.4 0.6   color red 0.8 green 0.1 blue 0.1   // roter Ring
                       color red 0.8 green 0.1 blue 0.1]
            [0.6 1.0   color red 0.5 green 0.6 blue 1.0   // Rest blau
                       color red 0.5 green 0.6 blue 1.0]
          }
          quick_color rgb <0.5,0.6,1.0>
          rotate <0,90,0>
          scale 2.5
        }
      }
      scale <4,3,9*1.15>
      scale ascl
      translate <6+apos,-0.5+apos1,0>
    }
    scale <1,1.3,1>    // Hhe anpassen
  }
  texture { HellGrau }
}

//#declare Ansaugoeffnung =
//object {
//  union {
//    intersection {
//      object {                 // innere umgestlpte Kugel
//        Ellipsoid
//        scale <3.999,2.999,8.999>
//        scale ascl
//        translate <6+apos,-0.5+apos1,0>
//        inverse
//      }
//      object {                // uere begrenzende Kugel
//        Ellipsoid
//        scale <4,3,9>
//        scale ascl
//        translate <6+apos,-0.5+apos1,0>
//      }
////      plane { <1,0,0> 0         // Gesamten Rumpf vorne abschrgen
////         rotate <0,0,-30>
////         translate <6+apos,0,0>
////      }
//       object { Schnittebene_vorne /*translate <0,-0.5+apos1,0>*/ }
//    }
//    light_source { <3,-0.5,0>
//      color red 0 green 0 blue 0.3
//    }
//  }
//
//  texture {
//    pigment {
//     wood
//      colour_map {
//        /*[0.0 0.5    colour red 0.5 green 0.6 blue 1.0
//                    colour red 0.5 green 0.6 blue 1.0]
//        [0.5 1.0001 colour red 0.8 green 0.1 blue 0.1
//                    colour red 0.8 green 0.1 blue 0.1]*/
//        [0.0 0.2   color red 0.8 green 0.1 blue 0.1   // innen Rot
//                   color red 0.8 green 0.1 blue 0.1]
//        [0.2 0.4   color red 0.5 green 0.6 blue 1.0   // blauer Ring
//                   color red 0.5 green 0.6 blue 1.0]
//        [0.4 0.6   color red 0.8 green 0.1 blue 0.1   // roter Ring
//                   color red 0.8 green 0.1 blue 0.1]
//        [0.6 1.0   color red 0.5 green 0.6 blue 1.0   // Rest blau
//                   color red 0.5 green 0.6 blue 1.0]
//      }
//      quick_color rgb <0.5,0.6,1.0>
//      rotate <0,90,0>
//      //scale <4,3,9>
//      scale <2,1.5,5>
//      scale 5
//      scale ascl
//      translate <6+apos,-0.5+apos1,0>
//    }
//  }
//  scale <1,1.3,1.15>    // Hhe anpassen
//}

#declare rf =    // einzelnes Fenster auf dem Rumpf
object { UnitBox translate <0,1.01,0> scale <0.2,6,0.4> }

#declare rf1_on =
// helle Fenster hintere linke Rumpfhlfte
object {
  intersection {
    object {
      Ellipsoid
      scale <30,10,15>
      translate <0,-3,0>
      scale <1,0.8,1>
      scale <1,1.3,1>
      translate <0,0.001,0>
    }
    /*object { Rumpf1
      scale <1,0.8,1>
      scale <1,1.3,1>
      translate <0,0.001,0>
    }*/
    union {
      object { rf rotate <0,  0.000,   0> translate <  0.000,0,  13.000> }
      object { rf rotate <0, -7.388,   0> translate < -3.427,0,  12.892> } // DBL-1
      object { rf rotate <0, -8.960,   0> translate < -4.151,0,  12.841> } // DBL-2
      object { rf rotate <0,-17.764,   0> translate < -8.131,0,  12.380> } // DBL-2
      object { rf rotate <0,-25.624,   0> translate <-11.525,0,  11.722> } // DBL-1
      object { rf rotate <0,-27.196,   0> translate <-12.180,0,  11.563> } // DBL-2
      object { rf rotate <0,-36.470,   0> translate <-15.841,0,  10.454> }
      object { rf rotate <0,-40.951,   0> translate <-17.467,0,   9.819> } // DBL-1
      object { rf rotate <0,-71.212,   0> translate <-25.230,0,   4.187> } // DBL-2
      object { rf rotate <0,-77.421,   0> translate <-26.010,0,   2.831> } // DBL-2
      object { rf rotate <0,-13.499,   0> translate < -5.503,0,  11.182> } // DBL-1
      object { rf rotate <0,-15.311,   0> translate < -6.225,0,  11.092> } // DBL-2
      object { rf rotate <0,-18.664,   0> translate < -7.544,0,  10.895> } // DBL-1
      object { rf rotate <0,-20.476,   0> translate < -8.247,0,  10.773> } // DBL-2
      object { rf rotate <0,-24.915,   0> translate < -9.932,0,  10.430> }
      object { rf rotate <0,-42.038,   0> translate <-15.786,0,   8.541> }
      object { rf rotate <0,-54.360,   0> translate <-19.159,0,   6.701> }
      object { rf rotate <0,-67.406,   0> translate <-21.766,0,   4.418> }
      object { rf rotate <0,-82.084,   0> translate <-23.350,0,   1.584> } // DBL-2
      object { rf rotate <0,  0.000,   0> translate <  0.000,0,  10.000> }
      object { rf rotate <0, -6.551,   0> translate < -2.339,0,   9.935> } // DBL-2
      object { rf rotate <0,-16.003,   0> translate < -5.651,0,   9.612> } // DBL-1
      object { rf rotate <0,-18.151,   0> translate < -6.386,0,   9.502> } // DBL-2
      object { rf rotate <0,-22.124,   0> translate < -7.721,0,   9.264> } // DBL-1
      object { rf rotate <0,-24.272,   0> translate < -8.427,0,   9.116> } // DBL-2
      object { rf rotate <0,-35.012,   0> translate <-11.762,0,   8.190> } // DBL-1
      object { rf rotate <0,-41.779,   0> translate <-13.658,0,   7.457> } // DBL-1
      object { rf rotate <0,-43.927,   0> translate <-14.222,0,   7.202> } // DBL-2
      object { rf rotate <0,-80.980,   0> translate <-20.246,0,   1.568> } // DBL-2
      object { rf rotate <0, -4.846,   0> translate < -1.472,0,   8.470> } // DBL-1
      object { rf rotate <0,-11.111,   0> translate < -3.358,0,   8.341> } // DBL-1
      object { rf rotate <0,-13.475,   0> translate < -4.060,0,   8.266> } // DBL-2
      object { rf rotate <0,-19.976,   0> translate < -5.953,0,   7.989> } // DBL-2
      object { rf rotate <0,-31.323,   0> translate < -9.059,0,   7.261> } // DBL-1
      object { rf rotate <0,-33.687,   0> translate < -9.665,0,   7.073> } // DBL-2
      object { rf rotate <0,-40.897,   0> translate <-11.408,0,   6.425> } // DBL-2
      object { rf rotate <0,-47.162,   0> translate <-12.777,0,   5.779> }
      object { rf rotate <0,-54.845,   0> translate <-14.247,0,   4.894> }
      object { rf rotate <0,-69.738,   0> translate <-16.347,0,   2.944> } // DBL-1
      object { rf rotate <0,-72.102,   0> translate <-16.582,0,   2.612> } // DBL-2
      object { rf rotate <0,  0.000,   0> translate <  0.000,0,   7.000> }
      object { rf rotate <0,-31.882,   0> translate < -7.579,0,   5.944> }
      object { rf rotate <0,-39.114,   0> translate < -9.053,0,   5.431> } // DBL-1
      object { rf rotate <0,-60.368,   0> translate <-12.473,0,   3.461> } // DBL-2
      object { rf rotate <0,  1.968,   0> translate <  0.387,0,   5.497> } // DBL-1
      object { rf rotate <0,-10.037,   0> translate < -1.965,0,   5.416> }
      object { rf rotate <0,-18.499,   0> translate < -3.577,0,   5.216> } // DBL-1
      object { rf rotate <0,-12.026,   0> translate < -1.708,0,   3.912> }
      object { rf rotate <0,-37.492,   0> translate < -4.991,0,   3.174> }
      object { rf rotate <0,-64.845,   0> translate < -7.422,0,   1.700> }
    }
  }
  /*bounded_by {
    box { <-30,0,0> <1,8,15> }
  }*/
  texture { l_on }
}

#declare rf1_off =
// dunkle Fenster hintere linke Rumpfhlfte
object {
  intersection {
    object {
      Ellipsoid
      scale <30,10,15>
      translate <0,-3,0>
      scale <1,0.8,1>
      scale <1,1.3,1>
      translate <0,0.001,0>
    }

    /*object { Rumpf1
      scale <1,0.8,1>
      scale <1,1.3,1>
      translate <0,0.001,0>
    }*/
    union {
      object { rf rotate <0,-16.192,   0> translate < -7.431,0,  12.484> } // DBL-1
      object { rf rotate <0,-42.523,   0> translate <-18.012,0,   9.581> } // DBL-2
      object { rf rotate <0,-57.692,   0> translate <-22.524,0,   6.948> } // DBL-1
      object { rf rotate <0,-59.264,   0> translate <-22.907,0,   6.644> } // DBL-2
      object { rf rotate <0,-64.373,   0> translate <-24.028,0,   5.623> }
      object { rf rotate <0,-69.640,   0> translate <-24.985,0,   4.523> } // DBL-1
      object { rf rotate <0,-75.849,   0> translate <-25.841,0,   3.178> } // DBL-1
      object { rf rotate <0, -8.516,   0> translate < -3.491,0,  11.373> } // DBL-1
      object { rf rotate <0,-10.328,   0> translate < -4.227,0,  11.314> } // DBL-2
      object { rf rotate <0,-30.442,   0> translate <-11.945,0,   9.915> }
      object { rf rotate <0,-47.203,   0> translate <-17.298,0,   7.813> } // DBL-1
      object { rf rotate <0,-49.015,   0> translate <-17.796,0,   7.542> } // DBL-2
      object { rf rotate <0,-80.272,   0> translate <-23.236,0,   1.943> } // DBL-1
      object { rf rotate <0, -4.403,   0> translate < -1.574,0,   9.970> } // DBL-1
      object { rf rotate <0,-10.096,   0> translate < -3.593,0,   9.845> } // DBL-1
      object { rf rotate <0,-12.244,   0> translate < -4.347,0,   9.773> } // DBL-2
      object { rf rotate <0,-28.461,   0> translate < -9.769,0,   8.791> } // DBL-1
      object { rf rotate <0,-30.609,   0> translate <-10.438,0,   8.607> } // DBL-2
      object { rf rotate <0,-37.160,   0> translate <-12.383,0,   7.969> } // DBL-2
      object { rf rotate <0,-49.834,   0> translate <-15.666,0,   6.450> }
      object { rf rotate <0,-55.955,   0> translate <-16.986,0,   5.598> } // DBL-1
      object { rf rotate <0,-58.103,   0> translate <-17.405,0,   5.284> } // DBL-2
      object { rf rotate <0,-78.832,   0> translate <-20.112,0,   1.937> } // DBL-1
      object { rf rotate <0,  1.182,   0> translate <  0.359,0,   8.498> } // DBL-1
      object { rf rotate <0, -1.182,   0> translate < -0.359,0,   8.498> } // DBL-2
      object { rf rotate <0, -7.210,   0> translate < -2.187,0,   8.433> } // DBL-2
      object { rf rotate <0,-17.612,   0> translate < -5.272,0,   8.102> } // DBL-1
      object { rf rotate <0,-25.531,   0> translate < -7.510,0,   7.670> }
      object { rf rotate <0,-38.533,   0> translate <-10.855,0,   6.649> } // DBL-1
      object { rf rotate <0,-79.312,   0> translate <-17.123,0,   1.576> }
      object { rf rotate <0, -6.052,   0> translate < -1.513,0,   6.961> } // DBL-1
      object { rf rotate <0, -9.004,   0> translate < -2.246,0,   6.914> } // DBL-2
      object { rf rotate <0,-13.874,   0> translate < -3.441,0,   6.796> } // DBL-1
      object { rf rotate <0,-16.826,   0> translate < -4.154,0,   6.700> } // DBL-2
      object { rf rotate <0,-42.066,   0> translate < -9.614,0,   5.197> } // DBL-2
      object { rf rotate <0,-57.416,   0> translate <-12.091,0,   3.770> } // DBL-1
      object { rf rotate <0,-76.900,   0> translate <-13.977,0,   1.587> } // DBL-1
      object { rf rotate <0,-79.852,   0> translate <-14.125,0,   1.233> } // DBL-2
      object { rf rotate <0, -1.968,   0> translate < -0.387,0,   5.497> } // DBL-2
      object { rf rotate <0,-22.435,   0> translate < -4.303,0,   5.084> } // DBL-2
      object { rf rotate <0,-54.120,   0> translate < -9.136,0,   3.223> }
      object { rf rotate <0,-66.125,   0> translate <-10.310,0,   2.226> }
      object { rf rotate <0,-78.523,   0> translate <-11.050,0,   1.094> }
      object { rf rotate <0,  2.358,   0> translate <  0.337,0,   3.997> } // DBL-1
      object { rf rotate <0, -2.358,   0> translate < -0.337,0,   3.997> } // DBL-2
      object { rf rotate <0,-22.165,   0> translate < -3.094,0,   3.704> } // DBL-1
      object { rf rotate <0,-26.881,   0> translate < -3.708,0,   3.568> } // DBL-2
    }
  }
  /*bounded_by {
    box { <-30,0,0> <1,8,15> }
  }*/
  texture { l_off }
}

#declare rf2_on =
// helle Fenster vordere linke Rumpfhlfte
object {
  intersection {
    object {             // vordere Hlfte
      Ellipsoid
      scale <10,10,15>
      translate <0,-3,0>
      scale <1,0.8,1>
      scale <1,1.3,1>
      translate <0,0.001,0>
    }
    object {            // Ansaugffnung vorne
      Ellipsoid
      scale <4,3,9>
      translate <6,-0.5,0>
      scale <1,1.31,1>    // Hhe anpassen
      inverse
    }
    /*object { Rumpf1
      scale <1,0.8,1>
      scale <1,1.3,1>
      translate <0,0.001,0>
    }*/
    union {
      object { rf rotate <0, 15.600,   0> translate <  3.496,0, 12.521> }
      object { rf rotate <0, 19.344,   0> translate <  2.981,0,  9.435> }
      object { rf rotate <0, 70.560,   0> translate <  6.412,0,  2.829> }
      object { rf rotate <0, 31.200,   0> translate <  2.901,0,  5.988> }
      object { rf rotate <0, 47.700,   0> translate <  4.142,0,  4.711> }
      object { rf rotate <0, 64.800,   0> translate <  5.067,0,  2.980> }
      object { rf rotate <0, 18.360,   0> translate <  1.386,0,  5.220> }
      object { rf rotate <0, 77.760,   0> translate <  4.300,0,  1.166> }
      object { rf rotate <0, 24.480,   0> translate <  1.326,0,  3.640> }
      object { rf rotate <0, 76.320,   0> translate <  3.109,0,  0.946> }
    }
  }
  /*bounded_by {
    box { <-1,0,0> <8,8,15> }
  }*/
  texture { l_on }
}

#declare rf2_off =
// dunkle Fenster vordere linke Rumpfhlfte
object {
  intersection {
    object {             // vordere Hlfte
      Ellipsoid
      scale <10,10,15>
      translate <0,-3,0>
      scale <1,0.8,1>
      scale <1,1.3,1>
      translate <0,0.001,0>
    }
    object {            // Ansaugffnung vorne
      Ellipsoid
      scale <4,3,9>
      translate <6,-0.5,0>
      scale <1,1.3,1>    // Hhe anpassen
      inverse
    }
    /*object { Rumpf1
      scale <1,0.8,1>
      scale <1,1.31,1>
      translate <0,0.001,0>
    }*/
    union {
      object { rf rotate <0, 32.400,   0> translate <  5.662,0,   9.710> }
      object { rf rotate <0,  9.486,   0> translate <  1.483,0,   9.863> }
      object { rf rotate <0, 29.574,   0> translate <  4.442,0,   8.697> }
      object { rf rotate <0, 21.840,   0> translate <  2.530,0,   7.890> }
      object { rf rotate <0, 15.300,   0> translate <  1.478,0,   6.752> }
    }
  }
  /*bounded_by {
    box { <-1,0,0> <8,8,15> }
  }*/
  texture { l_off }
}

#declare rf3_on =
// helle Fenster hintere rechte Rumpfhlfte
object {
  intersection {
    object {
      Ellipsoid
      scale <30,10,15>
      translate <0,-3,0>
      scale <1,0.8,1>
      scale <1,1.3,1>
      translate <0,0.001,0>
    }
    union {
      object { rf rotate <0,  8.960,   0> translate < -4.151,0, -12.841> } // DBL-2
      object { rf rotate <0, 16.192,   0> translate < -7.431,0, -12.484> } // DBL-1
      object { rf rotate <0, 20.829,   0> translate < -9.476,0, -12.150> } // DBL-1
      object { rf rotate <0, 22.401,   0> translate <-10.156,0, -12.019> } // DBL-2
      object { rf rotate <0, 40.951,   0> translate <-17.467,0,  -9.819> } // DBL-1
      object { rf rotate <0, 42.523,   0> translate <-18.012,0,  -9.581> } // DBL-2
      object { rf rotate <0, 47.946,   0> translate <-19.788,0,  -8.708> } // DBL-2
      object { rf rotate <0, 65.159,   0> translate <-24.184,0,  -5.461> } // DBL-2
      object { rf rotate <0, 69.640,   0> translate <-24.985,0,  -4.523> } // DBL-1
      object { rf rotate <0, 83.788,   0> translate <-26.493,0,  -1.407> } // DBL-2
      object { rf rotate <0, 24.915,   0> translate < -9.932,0, -10.430> }
      object { rf rotate <0, 35.243,   0> translate <-13.604,0,  -9.392> } // DBL-1
      object { rf rotate <0, 37.055,   0> translate <-14.206,0,  -9.178> } // DBL-2
      object { rf rotate <0, 66.500,   0> translate <-21.620,0,  -4.586> } // DBL-1
      object { rf rotate <0, 74.201,   0> translate <-22.684,0,  -3.131> }
      object { rf rotate <0,  1.074,   0> translate < -0.384,0,  -9.998> } // DBL-2
      object { rf rotate <0, 10.096,   0> translate < -3.593,0,  -9.845> } // DBL-1
      object { rf rotate <0, 12.244,   0> translate < -4.347,0,  -9.773> } // DBL-2
      object { rf rotate <0, 17.077,   0> translate < -6.020,0,  -9.559> }
      object { rf rotate <0, 22.124,   0> translate < -7.721,0,  -9.264> } // DBL-1
      object { rf rotate <0, 24.272,   0> translate < -8.427,0,  -9.116> } // DBL-2
      object { rf rotate <0, 41.779,   0> translate <-13.658,0,  -7.457> } // DBL-1
      object { rf rotate <0, 55.955,   0> translate <-16.986,0,  -5.598> } // DBL-1
      object { rf rotate <0, 58.103,   0> translate <-17.405,0,  -5.284> } // DBL-2
      object { rf rotate <0, 70.991,   0> translate <-19.382,0,  -3.257> } // DBL-1
      object { rf rotate <0,  4.846,   0> translate < -1.472,0,  -8.470> } // DBL-1
      object { rf rotate <0,  7.210,   0> translate < -2.187,0,  -8.433> } // DBL-2
      object { rf rotate <0, 12.293,   0> translate < -3.710,0,  -8.305> }
      object { rf rotate <0, 18.794,   0> translate < -5.614,0,  -8.047> }
      object { rf rotate <0, 32.505,   0> translate < -9.364,0,  -7.168> }
      object { rf rotate <0, 53.663,   0> translate <-14.037,0,  -5.037> } // DBL-1
      object { rf rotate <0, 56.027,   0> translate <-14.451,0,  -4.750> } // DBL-2
      object { rf rotate <0, 78.130,   0> translate <-17.052,0,  -1.748> } // DBL-1
      object { rf rotate <0, 13.874,   0> translate < -3.441,0,  -6.796> } // DBL-1
      object { rf rotate <0, 60.368,   0> translate <-12.473,0,  -3.461> } // DBL-2
      object { rf rotate <0,  1.968,   0> translate < -0.387,0,  -5.497> } // DBL-2
      object { rf rotate <0, 29.323,   0> translate < -5.522,0,  -4.795> } // DBL-1
      object { rf rotate <0, 44.477,   0> translate < -7.899,0,  -3.924> } // DBL-2
      object { rf rotate <0, 24.523,   0> translate < -3.404,0,  -3.639> }
    }
  }
  /*bounded_by {
    box { <-30,0,-15> <1,8,0> }
  }*/
  texture { l_on }
}

#declare rf3_off =
// dunkle Fenster hintere rechte Rumpfhlfte
object {
  intersection {
    object {
      Ellipsoid
      scale <30,10,15>
      translate <0,-3,0>
      scale <1,0.8,1>
      scale <1,1.3,1>
      translate <0,0.001,0>
    }
    union {
      object { rf rotate <0,  0.000,   0> translate <  0.000,0, -13.000> }
      object { rf rotate <0,  3.223,   0> translate < -1.498,0, -12.979> } // DBL-1
      object { rf rotate <0,  4.795,   0> translate < -2.228,0, -12.955> } // DBL-2
      object { rf rotate <0,  7.388,   0> translate < -3.427,0, -12.892> } // DBL-1
      object { rf rotate <0, 12.497,   0> translate < -5.767,0, -12.692> }
      object { rf rotate <0, 17.764,   0> translate < -8.131,0, -12.380> } // DBL-2
      object { rf rotate <0, 26.410,   0> translate <-11.854,0, -11.643> }
      object { rf rotate <0, 31.361,   0> translate <-13.870,0, -11.101> }
      object { rf rotate <0, 46.374,   0> translate <-19.291,0,  -8.969> } // DBL-1
      object { rf rotate <0, 52.741,   0> translate <-21.211,0,  -7.871> }
      object { rf rotate <0, 57.692,   0> translate <-22.524,0,  -6.948> } // DBL-1
      object { rf rotate <0, 59.264,   0> translate <-22.907,0,  -6.644> } // DBL-2
      object { rf rotate <0, 63.587,   0> translate <-23.868,0,  -5.783> } // DBL-1
      object { rf rotate <0, 71.212,   0> translate <-25.230,0,  -4.187> } // DBL-2
      object { rf rotate <0, 82.216,   0> translate <-26.404,0,  -1.761> } // DBL-1
      object { rf rotate <0, 18.664,   0> translate < -7.544,0, -10.895> } // DBL-1
      object { rf rotate <0, 20.476,   0> translate < -8.247,0, -10.773> } // DBL-2
      object { rf rotate <0, 29.536,   0> translate <-11.622,0, -10.006> } // DBL-1
      object { rf rotate <0, 31.348,   0> translate <-12.264,0,  -9.821> } // DBL-2
      object { rf rotate <0, 42.038,   0> translate <-15.786,0,  -8.541> }
      object { rf rotate <0, 54.360,   0> translate <-19.159,0,  -6.701> }
      object { rf rotate <0, 68.312,   0> translate <-21.906,0,  -4.250> } // DBL-2
      object { rf rotate <0, 80.272,   0> translate <-23.236,0,  -1.943> } // DBL-1
      object { rf rotate <0, 82.084,   0> translate <-23.350,0,  -1.584> } // DBL-2
      object { rf rotate <0, -1.074,   0> translate <  0.384,0,  -9.998> } // DBL-1
      object { rf rotate <0, 28.461,   0> translate < -9.769,0,  -8.791> } // DBL-1
      object { rf rotate <0, 30.609,   0> translate <-10.438,0,  -8.607> } // DBL-2
      object { rf rotate <0, 35.012,   0> translate <-11.762,0,  -8.190> } // DBL-1
      object { rf rotate <0, 37.160,   0> translate <-12.383,0,  -7.969> } // DBL-2
      object { rf rotate <0, 43.927,   0> translate <-14.222,0,  -7.202> } // DBL-2
      object { rf rotate <0, 73.139,   0> translate <-19.619,0,  -2.900> } // DBL-2
      object { rf rotate <0,  0.000,   0> translate <  0.000,0,  -8.500> }
      object { rf rotate <0, 25.531,   0> translate < -7.510,0,  -7.670> }
      object { rf rotate <0, 61.582,   0> translate <-15.325,0,  -4.045> } // DBL-1
      object { rf rotate <0, 63.946,   0> translate <-15.654,0,  -3.733> } // DBL-2
      object { rf rotate <0, 80.494,   0> translate <-17.186,0,  -1.404> } // DBL-2
      object { rf rotate <0,  7.528,   0> translate < -1.880,0,  -6.940> }
      object { rf rotate <0, 16.826,   0> translate < -4.154,0,  -6.700> } // DBL-2
      object { rf rotate <0, 23.468,   0> translate < -5.715,0,  -6.421> }
      object { rf rotate <0, 40.590,   0> translate < -9.337,0,  -5.316> }
      object { rf rotate <0, 57.416,   0> translate <-12.091,0,  -3.770> } // DBL-1
      object { rf rotate <0, 68.486,   0> translate <-13.350,0,  -2.567> }
      object { rf rotate <0, 78.376,   0> translate <-14.056,0,  -1.410> }
      object { rf rotate <0, -1.968,   0> translate <  0.387,0,  -5.497> } // DBL-1
      object { rf rotate <0, 33.259,   0> translate < -6.184,0,  -4.599> } // DBL-2
      object { rf rotate <0, 40.541,   0> translate < -7.329,0,  -4.180> } // DBL-1
      object { rf rotate <0, 76.555,   0> translate <-10.966,0,  -1.279> } // DBL-1
      object { rf rotate <0, 80.491,   0> translate <-11.120,0,  -0.909> } // DBL-2
      object { rf rotate <0, 50.933,   0> translate < -6.367,0,  -2.521> }
      object { rf rotate <0, 64.845,   0> translate < -7.422,0,  -1.700> }
    }
  }
  /*bounded_by {
    box { <-30,0,-15> <1,8,0> }
  }*/
  texture { l_off }
}

#declare rf4_on =
// helle Fenster vordere rechte Rumpfhlfte
object {
  intersection {
    object {             // vordere Hlfte
      Ellipsoid
      scale <10,10,15>
      translate <0,-3,0>
      scale <1,0.8,1>
      scale <1,1.3,1>
      translate <0,0.001,0>
    }
    object {            // Ansaugffnung vorne
      Ellipsoid
      scale <4,3,9>
      translate <6,-0.5,0>
      scale <1,1.31,1>    // Hhe anpassen
      inverse
    }
    union {
      object { rf rotate <0, -7.650,   0> translate <  1.731,0, -12.884> }
      object { rf rotate <0,-15.600,   0> translate <  3.496,0, -12.521> }
      object { rf rotate <0,-15.600,   0> translate <  3.093,0, -11.076> }
      object { rf rotate <0,-33.390,   0> translate <  3.742,0,  -7.097> }
      object { rf rotate <0,-45.360,   0> translate <  4.838,0,  -5.973> }
      object { rf rotate <0,-31.200,   0> translate <  2.901,0,  -5.988> }
      object { rf rotate <0,-47.700,   0> translate <  4.142,0,  -4.711> }
      object { rf rotate <0,-18.360,   0> translate <  1.386,0,  -5.220> }
      object { rf rotate <0,-49.920,   0> translate <  2.448,0,  -2.575> }
    }
  }
  /*bounded_by {
    box { <-1,0,-15> <8,8,0> }
  }*/
  texture { l_on }
}

#declare rf4_off =
// dunkle Fenster vordere rechte Rumpfhlfte
object {
  intersection {
    object {             // vordere Hlfte
      Ellipsoid
      scale <10,10,15>
      translate <0,-3,0>
      scale <1,0.8,1>
      scale <1,1.3,1>
      translate <0,0.001,0>
    }
    object {            // Ansaugffnung vorne
      Ellipsoid
      scale <4,3,9>
      translate <6,-0.5,0>
      scale <1,1.31,1>    // Hhe anpassen
      inverse
    }
    union {
      object { rf rotate <0,-23.850,   0> translate <  4.650,0, -10.518> }
      object { rf rotate <0,-29.574,   0> translate <  4.442,0,  -8.697> }
      object { rf rotate <0,-40.176,   0> translate <  5.806,0,  -7.641> }
      object { rf rotate <0,-21.840,   0> translate <  2.530,0,  -7.890> }
      object { rf rotate <0,-15.300,   0> translate <  1.478,0,  -6.752> }
      object { rf rotate <0,-64.800,   0> translate <  5.067,0,  -2.980> }
      object { rf rotate <0,-57.240,   0> translate <  3.700,0,  -2.976> }
      object { rf rotate <0,-77.760,   0> translate <  4.300,0,  -1.166> }
      object { rf rotate <0,-76.320,   0> translate <  3.109,0,  -0.946> }
    }
  }
  /*bounded_by {
    box { <-1,0,-15> <8,8,0> }
  }*/
  texture { l_off }
}

/*#declare bound =
object {
  box { <-1,0,0> <8,8,15> }
  pigment { color Blue filter 0.9 }
}*/

#declare rfu =    // einzelnes Fenster auf dem Rumpf/Unterseite
//object { UnitBox translate <0,-1,0> scale <0.3,6,0.6> }
object { UnitBox translate <0,-1,0> scale <0.2,6,0.5> }

#declare rfr =
// Objekt fr Fenster an der Rumpfkante
object {
   box { <-0.2,-0.2,-2><0.2,0.2,2> }
}

#declare rf5r_on =
object {
  intersection {
    union {
      object { rfu  scale <1,1,1.2> translate <  2.5,-4  ,3.5> }
      object { rfu  scale <1,1,1.2> translate < -1.5,-4  ,3.5> }
      object { rfu  scale <1,1,1.2> translate < -4.5,-4.5,3.5> }
      object { rfu  scale <1,1,1.2> translate < -8.5,-4.5,3.5> }
      object { rfu  scale <1,1,1.2> translate <-12.0,-4  ,3.5> }

      object { rfu  scale <1,1,1.1> translate <  2.5,-4.0,5.5> }
      object { rfu  scale <1,1,1.1> translate < -4.0,-4.3,5.5> }
      object { rfu  scale <1,1,1.1> translate < -7.5,-4.0,5.5> }
      object { rfu  scale <1,1,1.1> translate < -9.5,-4.0,5.5> }

      object { rfu  translate <  3.0,-3.8,7.5> }
      object { rfu  translate <  1.5,-4.0,7.5> }
      object { rfu  translate < -4.5,-4.0,7.5> }
      object { rfu  translate <-10.5,-3.5,7.5> }

      object { rfu  scale <1,1,0.9> translate <  2.5,-3.2,9.5> }
      object { rfu  scale <1,1,0.9> translate <  0.5,-3.5,9.5> }
      object { rfu  scale <1,1,0.9> translate < -0.5,-3.5,9.5> }
      object { rfu  scale <1,1,0.9> translate < -9.5,-3.0,9.5> }
      object { rfu  scale <1,1,0.9> translate <-12.5,-2.8,9.5> }

      object { rfu  scale <1,1,0.8> translate < 0,-2,48.5> rotate <0,  0  ,0> translate < 0,0,-36>}
      object { rfu  scale <1,1,0.8> translate < 0,-2,48.5> rotate <0, -2.5,0> translate < 0,0,-36>}
      object { rfu  scale <1,1,0.8> translate < 0,-2,48.5> rotate <0, -5.0,0> translate < 0,0,-36>}
      object { rfu  scale <1,1,0.8> translate < 0,-2,48.5> rotate <0,-10.0,0> translate < 0,0,-36>}
      object { rfu  scale <1,1,0.8> translate < 0,-2,48.5> rotate <0,-15.0,0> translate < 0,0,-36>}
    }
    object {
      Rumpf1
      scale <1,-0.5,1>         // auf den Kopf drehen
      translate <0,-0.5,0>
      scale <1.0001,1.3001,1.0001>    // Hhe anpassen
    }
  }
  /*bounded_by {
    box {<-15,-7.5,0><5,0,15> }
  }*/
  texture { l_on }
}

#declare rf5r_off =
object {
  intersection {
    union {
      object { rfu  scale <1,1,1.2> translate <  1  ,-4  ,3.5> }
      object { rfu  scale <1,1,1.2> translate < -6.0,-4.5,3.5> }
      object { rfu  scale <1,1,1.2> translate < -9.5,-4  ,3.5> }

      object { rfu  scale <1,1,1.1> translate <  1.5,-4.0,5.5> }
      object { rfu  scale <1,1,1.1> translate < -1.0,-4.3,5.5> }
      object { rfu  scale <1,1,1.1> translate < -6.5,-4.3,5.5> }
      object { rfu  scale <1,1,1.1> translate <-12.0,-4.0,5.5> }

      object { rfu  translate < -0.5,-3.8,7.5> }
      object { rfu  translate < -6.5,-4.0,7.5> }
      object { rfu  translate < -8.0,-3.7,7.5> }
      object { rfu  translate <-12.5,-2.8,7.5> }

      object { rfu  scale <1,1,0.9> translate < -4.5,-3.5,9.5> }
      object { rfu  scale <1,1,0.9> translate < -6.5,-3.2,9.5> }
      object { rfu  scale <1,1,0.9> translate < -8.0,-3.1,9.5> }

      object { rfu  scale <1,1,0.8> translate < 0,-2,12.5> rotate <0,  0  ,0> }
      object { rfu  scale <1,1,0.8> translate < 0,-2,12.5> rotate <0,  3  ,0> }
      object { rfu  scale <1,1,0.8> translate < 0,-2,48.5> rotate <0, -7.5,0> translate < 0,0,-36>}
      object { rfu  scale <1,1,0.8> translate < 0,-2,48.5> rotate <0,-12.5,0> translate < 0,0,-36>}
    }
    object {
      Rumpf1
      scale <1,-0.5,1>         // auf den Kopf drehen
      translate <0,-0.5,0>
      scale <1.0001,1.3001,1.0001>    // Hhe anpassen
    }
  }
  /*bounded_by {
    box {<-15,-7.5,0><5,0,15> }
  }*/
  texture { l_off }
}

#declare rf5l_off =
object {
  intersection {
    union {
      object { rfu  scale <1,1,1.2> translate <  0.5,-4  ,3.5> }
      object { rfu  scale <1,1,1.2> translate < -4.5,-4.5,3.5> }
      object { rfu  scale <1,1,1.2> translate < -5.5,-4.5,3.5> }
      object { rfu  scale <1,1,1.2> translate <-12.0,-4  ,3.5> }

      object { rfu  scale <1,1,1.1> translate <  1.0,-4.0,5.5> }
      object { rfu  scale <1,1,1.1> translate < -4.0,-4.3,5.5> }
      object { rfu  scale <1,1,1.1> translate < -5.5,-4.0,5.5> }

      object { rfu  translate <  3.0,-3.8,7.5> }
      object { rfu  translate <  1.5,-4.0,7.5> }
      object { rfu  translate < -7.5,-3.8,7.5> }
      object { rfu  translate <-12.0,-3.5,7.5> }

      object { rfu  scale <1,1,0.9> translate < -0.5,-3.5,9.5> }
      object { rfu  scale <1,1,0.9> translate < -5.5,-3.0,9.5> }
      object { rfu  scale <1,1,0.9> translate <-12.0,-2.8,9.5> }

      object { rfu  scale <1,1,0.8> translate < 0,-2,12.5> rotate <0,  3  ,0> }
      object { rfu  scale <1,1,0.8> translate < 0,-2,48.5> rotate <0,  0  ,0> translate < 0,0,-36>}
      object { rfu  scale <1,1,0.8> translate < 0,-2,48.5> rotate <0, -2.5,0> translate < 0,0,-36>}
      object { rfu  scale <1,1,0.8> translate < 0,-2,48.5> rotate <0,-12.5,0> translate < 0,0,-36>}
    }
    object {
      Rumpf1
      scale <1,-0.5,1>         // auf den Kopf drehen
      translate <0,-0.5,0>
      scale <1.0001,1.3001,1.0001>    // Hhe anpassen
    }
  }
  scale <1,1,-1>
  /*bounded_by {
    box {<-15,-7.5,-15><5,0,0> }
  }*/
  texture { l_off }
}

#declare rf5l_on =
object {
  intersection {
    union {
      object { rfu  scale <1,1,1.2> translate <  2.5,-4  ,3.5> }
      object { rfu  scale <1,1,1.2> translate < -1.0,-4.5,3.5> }
      object { rfu  scale <1,1,1.2> translate < -8.0,-4.5,3.5> }
      object { rfu  scale <1,1,1.2> translate <-10.0,-4  ,3.5> }

      object { rfu  scale <1,1,1.1> translate <  2.5,-4.0,5.5> }
      object { rfu  scale <1,1,1.1> translate < -1.0,-4.3,5.5> }
      object { rfu  scale <1,1,1.1> translate < -8.0,-4.3,5.5> }
      object { rfu  scale <1,1,1.1> translate < -9.5,-3.8,5.5> }
      object { rfu  scale <1,1,1.1> translate <-12.5,-3.0,5.5> }

      object { rfu  translate < -1.0,-3.8,7.5> }
      object { rfu  translate < -4.0,-4.0,7.5> }
      object { rfu  translate < -6.5,-3.7,7.5> }
      object { rfu  translate < -9.5,-3.5,7.5> }

      object { rfu  scale <1,1,0.9> translate <  3.0,-3.2,9.5> }
      object { rfu  scale <1,1,0.9> translate <  1.0,-3.5,9.5> }
      object { rfu  scale <1,1,0.9> translate < -4.0,-3.5,9.5> }
      object { rfu  scale <1,1,0.9> translate < -8.0,-3.2,9.5> }
      object { rfu  scale <1,1,0.9> translate <-10.0,-2.8,9.5> }

      object { rfu  scale <1,1,0.8> translate < 0,-2,12.5> rotate <0,  0  ,0> }
      object { rfu  scale <1,1,0.8> translate < 0,-2,48.5> rotate <0, -5.0,0> translate < 0,0,-36>}
      object { rfu  scale <1,1,0.8> translate < 0,-2,48.5> rotate <0, -7.5,0> translate < 0,0,-36>}
      object { rfu  scale <1,1,0.8> translate < 0,-2,48.5> rotate <0,-10.0,0> translate < 0,0,-36>}
      object { rfu  scale <1,1,0.8> translate < 0,-2,48.5> rotate <0,-15.0,0> translate < 0,0,-36>}
    }
    object {
      Rumpf1
      scale <1,-0.5,1>         // auf den Kopf drehen
      translate <0,-0.5,0>
      scale <1.0001,1.3001,1.0001>    // Hhe anpassen
    }
  }
  scale <1,1,-1>
  /*bounded_by {
    box {<-15,-7.5,-15><5,0,0> }
  }*/
  texture { l_on }
}

#declare Rumpf_Fenster_rl_on =
// Fenster an der Rumpfkante links
object {
   intersection {
      union {
         object { rfr translate <0,    0,-15> }
         object { rfr translate <0,-0.65,-15> }
         object { rfr translate <1,-0.65,-15> }
         object { rfr translate <2,-0.65,-15> }
         object { rfr translate <3,    0,-15> }
         object { rfr translate <3,-0.65,-15> }

         object { rfr translate <-2,-0.65,-15> }
         object { rfr translate <-3,-0.65,-15> }
         object { rfr translate <-4,-0.65,-15> }

         object { rfr translate <-6,    0,-15> }
         object { rfr translate <-6,-0.65,-15> }
         object { rfr translate <-8,-0.65,-15> }
         object { rfr translate <-9,    0,-15> }

         object { rfr translate <-11,-0.65,-14> }
         object { rfr translate <-12.5,-0.65,-14> }
      }
      union {
         object { Rumpf_Oberteil }
         object { Rumpf_Unterteil }
         object { Rumpf_Mittelteil }
         scale <1.0001,1.3001,1.0001>
      }
   }
   texture { l_on }
}

#declare Rumpf_Fenster_rl_off =
// Fenster an der Rumpfkante links
object {
   intersection {
      union {
         object { rfr translate <1,    0,-15> }
         object { rfr translate <2,    0,-15> }

         object { rfr translate <-2,    0,-15> }
         object { rfr translate <-3,    0,-15> }
         object { rfr translate <-4,    0,-15> }

         object { rfr translate <-7,    0,-15> }
         object { rfr translate <-7,-0.65,-15> }
         object { rfr translate <-8,    0,-15> }
         object { rfr translate <-9,-0.65,-15> }

         object { rfr translate <-11,    0,-14> }
         object { rfr translate <-12.5,    0,-14> }
      }
      union {
         object { Rumpf_Oberteil }
         object { Rumpf_Unterteil }
         object { Rumpf_Mittelteil }
         scale <1.0001,1.3001,1.0001>
      }
   }
   texture { l_off }
}

/*#declare bound =
object {
  box {<-15,-7.5,0><5,0,15> }
  pigment { color Blue filter 0.8 }
}*/

#declare Rumpf =
union {
   object { Rumpf_Huelle }
//   object { Ansaugoeffnung }
   object { Rumpf_Untere_Querlinie }
   /*bounded_by {
      sphere { <-10,0,0> 20 }
   }*/
}

#declare Rumpf_Fenster_oben =
union {
  object { rf1_on }
  object { rf1_off }
  object { rf2_on }
  object { rf2_off }
  object { rf3_on }
  object { rf3_off }
  object { rf4_on }
  object { rf4_off }
  //object { bound }
}

#declare Rumpf_Fenster_unten =
union {
  object { rf5r_on }
  object { rf5l_on }
  object { rf5r_off }
  object { rf5l_off }
  //object { bound }
}

#declare Rumpf_Fenster_Kante =
union {
   object { Rumpf_Fenster_rl_on }   // Fenster rechts
   object { Rumpf_Fenster_rl_off }
   object { Rumpf_Fenster_rl_on scale <1,1,-1> }  // links
   object { Rumpf_Fenster_rl_off scale <1,1,-1> }
}
